const formatTime = val => {
  if (val) {
    const date = new Date(val);
    const Y = date.getFullYear() + '-';
    const M = (date.getMonth() + 1 < 10 ? '0' + (date.getMonth() + 1) : date.getMonth() + 1) + '-';
    const D = (date.getDate() < 10 ? '0' + (date.getDate()) : date.getDate()) + ' ';
    const h = (date.getHours() < 10 ? '0' + date.getHours() : date.getHours()) + ':';
    const m = (date.getMinutes() < 10 ? '0' + date.getMinutes() : date.getMinutes()) + ':';
    const s = (date.getSeconds() < 10 ? '0' + date.getSeconds() : date.getSeconds());
    return Y + M + D + h + m + s;
  } else {
    return '--';
  }
};
const formatYMD = val => {
  if (val) {
    const date = new Date(val);
    const Y = date.getFullYear() + '-';
    const M = (date.getMonth() + 1 < 10 ? '0' + (date.getMonth() + 1) : date.getMonth() + 1) + '-';
    const D = (date.getDate() < 10 ? '0' + (date.getDate()) : date.getDate());
    return Y + M + D;
  } else {
    return '--';
  }
};
const fomatNumber = val => {
  if (val) {
    return val;
  } else {
    return 0;
  }
};
const fomatText = val => {
  if (val) {
    return val;
  } else {
    return '--';
  }
};
const fomatFloat = val => {
  if (val || val == 0) {
    return parseFloat(val).toFixed(2);
  } else {
    return '--';
  }
};
const defaultImg = val => {
  if (!val) {
    return './static/img/default.png';
  }
};
export { formatTime, fomatNumber, fomatText, formatYMD, fomatFloat, defaultImg };
